Index: sasmodels/generate.py
===================================================================
--- sasmodels/generate.py	(revision 7fcdc9f91a5fd5d9d1fa2a34356d607aca2be682)
+++ sasmodels/generate.py	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -139,5 +139,5 @@
     square(x) = x*x
     cube(x) = x*x*x
-    sinc(x) = sin(x)/x, with sin(0)/0 -> 1
+    sas_sinx_x(x) = sin(x)/x, with sin(0)/0 -> 1
     all double precision constants must include the decimal point
     all double declarations may be converted to half, float, or long double
Index: sasmodels/kernel_header.c
===================================================================
--- sasmodels/kernel_header.c	(revision f1ec7002f7fecc5f777ce1efd042be32bd028e89)
+++ sasmodels/kernel_header.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -146,5 +146,5 @@
 inline double square(double x) { return x*x; }
 inline double cube(double x) { return x*x*x; }
-inline double sinc(double x) { return x==0 ? 1.0 : sin(x)/x; }
+inline double sas_sinx_x(double x) { return x==0 ? 1.0 : sin(x)/x; }
 
 #if 1
Index: sasmodels/kernel_template.c
===================================================================
--- sasmodels/kernel_template.c	(revision 0d6e86566d51a1fba22933bdbac8c40d36f9bd76)
+++ sasmodels/kernel_template.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -133,5 +133,5 @@
 inline double square(double x) { return x*x; }
 inline double cube(double x) { return x*x*x; }
-inline double sinc(double x) { return x==0 ? 1.0 : sin(x)/x; }
+inline double sas_sinx_x(double x) { return x==0 ? 1.0 : sin(x)/x; }
 
 
Index: sasmodels/models/barbell.c
===================================================================
--- sasmodels/models/barbell.c	(revision 3a48772f136eb2795903c63707474e7527b4a325)
+++ sasmodels/models/barbell.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -50,5 +50,5 @@
     const double bell_fq = _bell_kernel(q, h, radius_bell, half_length, sin_alpha, cos_alpha);
     const double bj = sas_J1c(q*radius*sin_alpha);
-    const double si = sinc(q*half_length*cos_alpha);
+    const double si = sas_sinx_x(q*half_length*cos_alpha);
     const double cyl_fq = 2.0*M_PI*radius*radius*half_length*bj*si;
     const double Aq = bell_fq + cyl_fq;
Index: sasmodels/models/capped_cylinder.c
===================================================================
--- sasmodels/models/capped_cylinder.c	(revision 3a48772f136eb2795903c63707474e7527b4a325)
+++ sasmodels/models/capped_cylinder.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -55,5 +55,5 @@
     const double cap_Fq = _cap_kernel(q, h, radius_cap, half_length, sin_alpha, cos_alpha);
     const double bj = sas_J1c(q*radius*sin_alpha);
-    const double si = sinc(q*half_length*cos_alpha);
+    const double si = sas_sinx_x(q*half_length*cos_alpha);
     const double cyl_Fq = 2.0*M_PI*radius*radius*half_length*bj*si;
     const double Aq = cap_Fq + cyl_Fq;
Index: sasmodels/models/core_shell_bicelle.c
===================================================================
--- sasmodels/models/core_shell_bicelle.c	(revision 5bddd89a3ed5b121f80ca5d5663daeb28ce822d8)
+++ sasmodels/models/core_shell_bicelle.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -57,6 +57,6 @@
     be1 = sas_J1c(besarg1);
     be2 = sas_J1c(besarg2);
-    si1 = sinc(sinarg1);
-    si2 = sinc(sinarg2);
+    si1 = sas_sinx_x(sinarg1);
+    si2 = sas_sinx_x(sinarg2);
 
     const double t = vol1*dr1*si1*be1 +
Index: sasmodels/models/core_shell_bicelle_elliptical.c
===================================================================
--- sasmodels/models/core_shell_bicelle_elliptical.c	(revision fcb33e4672814b4a8fe1ee865d430090b5fc03e6)
+++ sasmodels/models/core_shell_bicelle_elliptical.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -76,6 +76,6 @@
         double sinarg1 = qq*halfheight*cos_alpha;
         double sinarg2 = qq*(halfheight+facthick)*cos_alpha;
-        si1 = sinc(sinarg1);
-        si2 = sinc(sinarg2);
+        si1 = sas_sinx_x(sinarg1);
+        si2 = sas_sinx_x(sinarg2);
         for(int j=0;j<76;j++) {
             //76 gauss points for the inner integral (WAS 20 points,so this may make unecessarily slow, but playing safe)
@@ -131,6 +131,6 @@
     const double be1 = sas_J1c(qq*r);
     const double be2 = sas_J1c( qq*(r + radthick ) );
-    const double si1 = sinc( qq*halfheight*cos_val );
-    const double si2 = sinc( qq*(halfheight + facthick)*cos_val );
+    const double si1 = sas_sinx_x( qq*halfheight*cos_val );
+    const double si2 = sas_sinx_x( qq*(halfheight + facthick)*cos_val );
     const double Aq = square( vol1*dr1*si1*be1 + vol2*dr2*si2*be2 +  vol3*dr3*si2*be1);
     //const double vol = form_volume(radius_minor, r_ratio, length);
Index: sasmodels/models/core_shell_cylinder.c
===================================================================
--- sasmodels/models/core_shell_cylinder.c	(revision 9aa48810160434e0c0c0901a1d80874ca75855c9)
+++ sasmodels/models/core_shell_cylinder.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -11,5 +11,5 @@
 double _cyl(double vd, double besarg, double siarg)
 {
-    return vd * sinc(siarg) * sas_J1c(besarg);
+    return vd * sas_sinx_x(siarg) * sas_J1c(besarg);
 }
 
Index: sasmodels/models/core_shell_parallelepiped.c
===================================================================
--- sasmodels/models/core_shell_parallelepiped.c	(revision 14838a3913650894395800a6e3abd9c585ae40d8)
+++ sasmodels/models/core_shell_parallelepiped.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -87,8 +87,8 @@
             double sin_uu, cos_uu;
             SINCOS(M_PI_2*uu, sin_uu, cos_uu);
-            const double si1 = sinc(mu_proj * sin_uu * a_scaled);
-            const double si2 = sinc(mu_proj * cos_uu);
-            const double si3 = sinc(mu_proj * sin_uu * ta);
-            const double si4 = sinc(mu_proj * cos_uu * tb);
+            const double si1 = sas_sinx_x(mu_proj * sin_uu * a_scaled);
+            const double si2 = sas_sinx_x(mu_proj * cos_uu);
+            const double si3 = sas_sinx_x(mu_proj * sin_uu * ta);
+            const double si4 = sas_sinx_x(mu_proj * cos_uu * tb);
 
             // Expression in libCylinder.c (neither drC nor Vot are used)
@@ -109,5 +109,5 @@
 
         // now sum up the outer integral
-        const double si = sinc(mu * c_scaled * sigma);
+        const double si = sas_sinx_x(mu * c_scaled * sigma);
         outer_total += Gauss76Wt[i] * inner_total * si * si;
     }
@@ -160,10 +160,10 @@
     double tc = length_a + 2.0*thick_rim_c;
     //handle arg=0 separately, as sin(t)/t -> 1 as t->0
-    double siA = sinc(0.5*q*length_a*cos_val_a);
-    double siB = sinc(0.5*q*length_b*cos_val_b);
-    double siC = sinc(0.5*q*length_c*cos_val_c);
-    double siAt = sinc(0.5*q*ta*cos_val_a);
-    double siBt = sinc(0.5*q*tb*cos_val_b);
-    double siCt = sinc(0.5*q*tc*cos_val_c);
+    double siA = sas_sinx_x(0.5*q*length_a*cos_val_a);
+    double siB = sas_sinx_x(0.5*q*length_b*cos_val_b);
+    double siC = sas_sinx_x(0.5*q*length_c*cos_val_c);
+    double siAt = sas_sinx_x(0.5*q*ta*cos_val_a);
+    double siBt = sas_sinx_x(0.5*q*tb*cos_val_b);
+    double siCt = sas_sinx_x(0.5*q*tc*cos_val_c);
     
 
Index: sasmodels/models/cylinder.c
===================================================================
--- sasmodels/models/cylinder.c	(revision b829b161dd452ced7aab4d44d03905daab7234ac)
+++ sasmodels/models/cylinder.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -18,5 +18,5 @@
     const double qr = q*radius;
     const double qh = q*0.5*length; 
-    return sas_J1c(qr*sn) * sinc(qh*cn);
+    return sas_J1c(qr*sn) * sas_sinx_x(qh*cn);
 }
 
Index: sasmodels/models/elliptical_cylinder.c
===================================================================
--- sasmodels/models/elliptical_cylinder.c	(revision 251f54b51119923e12cbc8eae49fefaeb6158a47)
+++ sasmodels/models/elliptical_cylinder.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -46,5 +46,5 @@
 
         //now calculate outer integral
-        const double si = sinc(q*0.5*length*cos_val);
+        const double si = sas_sinx_x(q*0.5*length*cos_val);
         outer_sum += Gauss76Wt[i] * inner_sum * si * si;
     }
@@ -74,5 +74,5 @@
     const double r = radius_minor*sqrt(square(r_ratio*cos_nu) + cos_mu*cos_mu);
     const double be = sas_J1c(q*r);
-    const double si = sinc(q*0.5*length*cos_val);
+    const double si = sas_sinx_x(q*0.5*length*cos_val);
     const double Aq = be * si;
     const double delrho = sld - solvent_sld;
Index: sasmodels/models/hollow_cylinder.c
===================================================================
--- sasmodels/models/hollow_cylinder.c	(revision f8f0991d67f2db3a0efcd8211a67ea2f580210a2)
+++ sasmodels/models/hollow_cylinder.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -26,5 +26,5 @@
     //Note: lim_{radius -> 0} psi = sas_J1c(thickness*qs)
     const double psi = (lam1 - gamma_sq*lam2)/(1.0 - gamma_sq);	//SRK 10/19/00
-    const double t2 = sinc(0.5*q*length*cos_val);
+    const double t2 = sas_sinx_x(0.5*q*length*cos_val);
     return psi*t2;
 }
Index: sasmodels/models/hollow_rectangular_prism.c
===================================================================
--- sasmodels/models/hollow_rectangular_prism.c	(revision 6f676fb91e0720edd32b0faa11126cc646a2cad7)
+++ sasmodels/models/hollow_rectangular_prism.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -45,6 +45,6 @@
         SINCOS(theta, sin_theta, cos_theta);
 
-        const double termC1 = sinc(q * c_half * cos(theta));
-        const double termC2 = sinc(q * (c_half-thickness)*cos(theta));
+        const double termC1 = sas_sinx_x(q * c_half * cos(theta));
+        const double termC2 = sas_sinx_x(q * (c_half-thickness)*cos(theta));
 
         double inner_sum = 0.0;
@@ -57,9 +57,9 @@
             // Amplitude AP from eqn. (13), rewritten to avoid round-off effects when arg=0
 
-            const double termA1 = sinc(q * a_half * sin_theta * sin_phi);
-            const double termA2 = sinc(q * (a_half-thickness) * sin_theta * sin_phi);
+            const double termA1 = sas_sinx_x(q * a_half * sin_theta * sin_phi);
+            const double termA2 = sas_sinx_x(q * (a_half-thickness) * sin_theta * sin_phi);
 
-            const double termB1 = sinc(q * b_half * sin_theta * cos_phi);
-            const double termB2 = sinc(q * (b_half-thickness) * sin_theta * cos_phi);
+            const double termB1 = sas_sinx_x(q * b_half * sin_theta * cos_phi);
+            const double termB2 = sas_sinx_x(q * (b_half-thickness) * sin_theta * cos_phi);
 
             const double AP1 = vol_total * termA1 * termB1 * termC1;
Index: sasmodels/models/linear_pearls.c
===================================================================
--- sasmodels/models/linear_pearls.c	(revision 4962519cc1910422a467e4f643dba223623e0e09)
+++ sasmodels/models/linear_pearls.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -50,5 +50,5 @@
     n_contrib = num_pearls;
     for(int num=1; num<=n_max; num++) {
-        n_contrib += (2.0*(num_pearls-num)*sinc(q*separation*num));
+        n_contrib += (2.0*(num_pearls-num)*sas_sinx_x(q*separation*num));
     }
     // form factor for num_pearls
Index: sasmodels/models/parallelepiped.c
===================================================================
--- sasmodels/models/parallelepiped.c	(revision 14838a3913650894395800a6e3abd9c585ae40d8)
+++ sasmodels/models/parallelepiped.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -39,11 +39,11 @@
             double sin_uu, cos_uu;
             SINCOS(M_PI_2*uu, sin_uu, cos_uu);
-            const double si1 = sinc(mu_proj * sin_uu * a_scaled);
-            const double si2 = sinc(mu_proj * cos_uu);
+            const double si1 = sas_sinx_x(mu_proj * sin_uu * a_scaled);
+            const double si2 = sas_sinx_x(mu_proj * cos_uu);
             inner_total += Gauss76Wt[j] * square(si1 * si2);
         }
         inner_total *= 0.5;
 
-        const double si = sinc(mu * c_scaled * sigma);
+        const double si = sas_sinx_x(mu * c_scaled * sigma);
         outer_total += Gauss76Wt[i] * inner_total * si * si;
     }
@@ -70,7 +70,7 @@
     ORIENT_ASYMMETRIC(qx, qy, theta, phi, psi, q, cos_val_c, cos_val_b, cos_val_a);
 
-    const double siA = sinc(0.5*q*length_a*cos_val_a);
-    const double siB = sinc(0.5*q*length_b*cos_val_b);
-    const double siC = sinc(0.5*q*length_c*cos_val_c);
+    const double siA = sas_sinx_x(0.5*q*length_a*cos_val_a);
+    const double siB = sas_sinx_x(0.5*q*length_b*cos_val_b);
+    const double siC = sas_sinx_x(0.5*q*length_c*cos_val_c);
     const double V = form_volume(length_a, length_b, length_c);
     const double drho = (sld - solvent_sld);
Index: sasmodels/models/pearl_necklace.c
===================================================================
--- sasmodels/models/pearl_necklace.c	(revision 21261311ccad3df50fbfc3f21eb04942110f1c9d)
+++ sasmodels/models/pearl_necklace.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -39,5 +39,5 @@
 
     // Precomputed sinc terms
-    const double si = sinc(q*A_s);
+    const double si = sas_sinx_x(q*A_s);
     const double omsi = 1.0 - si;
     const double pow_si = pow(si, num_pearls);
@@ -54,5 +54,5 @@
         - 2.0 * (1.0 - pow_si/si)*beta*beta / (omsi*omsi)
         + 2.0 * num_strings*beta*beta / omsi
-        + num_strings * (2.0*gamma - square(sinc(q_edge/2.0)))
+        + num_strings * (2.0*gamma - square(sas_sinx_x(q_edge/2.0)))
         );
 
Index: sasmodels/models/polymer_micelle.c
===================================================================
--- sasmodels/models/polymer_micelle.c	(revision c3ebc71c4319402dc4ddde47d1ee1264eb354d01)
+++ sasmodels/models/polymer_micelle.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -41,5 +41,5 @@
     // Interference cross-term between core and chains
     const double chain_ampl = (qrg2 == 0.0) ? 1.0 : -expm1(-qrg2)/qrg2;
-    const double bes_corona = sinc(q*(radius_core + d_penetration * rg));
+    const double bes_corona = sas_sinx_x(q*(radius_core + d_penetration * rg));
     const double term3 = 2.0 * n_aggreg * n_aggreg * beta_core * beta_corona *
                  bes_core * chain_ampl * bes_corona;
Index: sasmodels/models/pringle.c
===================================================================
--- sasmodels/models/pringle.c	(revision 30fbe2eda4d6f97acc840bd5e605de3829caf3c7)
+++ sasmodels/models/pringle.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -91,5 +91,5 @@
         SINCOS(psi, sin_psi, cos_psi);
         double bessel_term = _sum_bessel_orders(radius, alpha, beta, q*sin_psi, q*cos_psi);
-        double sinc_term = square(sinc(q * thickness * cos_psi / 2.0));
+        double sinc_term = square(sas_sinx_x(q * thickness * cos_psi / 2.0));
         double pringle_kernel = 4.0 * sin_psi * bessel_term * sinc_term;
         sum += Gauss76Wt[i] * pringle_kernel;
Index: sasmodels/models/raspberry.c
===================================================================
--- sasmodels/models/raspberry.c	(revision 2c74c11fc4544381ecf9949bd1618c67ff624c6d)
+++ sasmodels/models/raspberry.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -55,7 +55,7 @@
 
     //Cross term between large and small particles
-    sfLS = psiL*psiS*sinc(q*(rL+deltaS*rS));
+    sfLS = psiL*psiS*sas_sinx_x(q*(rL+deltaS*rS));
     //Cross term between small particles at the surface
-    sfSS = psiS*psiS*sinc(q*(rL+deltaS*rS))*sinc(q*(rL+deltaS*rS));
+    sfSS = psiS*psiS*sas_sinx_x(q*(rL+deltaS*rS))*sas_sinx_x(q*(rL+deltaS*rS));
 
     //Large sphere form factor term
Index: sasmodels/models/rectangular_prism.c
===================================================================
--- sasmodels/models/rectangular_prism.c	(revision ab2aea81f7fb392e5f24f1c76dd989914d8f7022)
+++ sasmodels/models/rectangular_prism.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -33,5 +33,5 @@
         SINCOS(theta, sin_theta, cos_theta);
 
-        const double termC = sinc(q * c_half * cos_theta);
+        const double termC = sas_sinx_x(q * c_half * cos_theta);
 
         double inner_sum = 0.0;
@@ -42,6 +42,6 @@
 
             // Amplitude AP from eqn. (12), rewritten to avoid round-off effects when arg=0
-            const double termA = sinc(q * a_half * sin_theta * sin_phi);
-            const double termB = sinc(q * b_half * sin_theta * cos_phi);
+            const double termA = sas_sinx_x(q * a_half * sin_theta * sin_phi);
+            const double termB = sas_sinx_x(q * b_half * sin_theta * cos_phi);
             const double AP = termA * termB * termC;
             inner_sum += Gauss76Wt[j] * AP * AP;
Index: sasmodels/models/stacked_disks.c
===================================================================
--- sasmodels/models/stacked_disks.c	(revision 98ce141a6e091b02f8139ab3b235c16dafbce663)
+++ sasmodels/models/stacked_disks.c	(revision 1e7b0db0b7b4315c62b59e1d659332bcbc962b8f)
@@ -56,6 +56,6 @@
     //const double be2 = sas_J1c(besarg2);
     const double be2 = be1;
-    const double si1 = sinc(sinarg1);
-    const double si2 = sinc(sinarg2);
+    const double si1 = sas_sinx_x(sinarg1);
+    const double si2 = sas_sinx_x(sinarg2);
 
     const double dr1 = core_sld - solvent_sld;
